package bootstrap

import (
	"spaceofcheng/services/models"
	"spaceofcheng/services/routers"
	"spaceofcheng/services/service/events"
	"spaceofcheng/services/utils"
)

// SystemInit 系统初始化
func SystemInit() {
	// 数据库连接
	models.InitDB()

	// 系统日志
	utils.LogInit()

	// 微信系统
	utils.WechatInit()

	// 消息系统
	utils.MessageInit()

	// 事件系统
	events.EventInit()

	// 路由系统
	routers.RouteInit()
}
