package bodychecklist

import (
	"spaceofcheng/services/controllers"
	"spaceofcheng/services/service/bodychecklist"
)

// BodychecklistController 商品
type BodychecklistController struct {
	serv *bodychecklist.BodychecklistServ
	controllers.BaseController
}

// Constructor 初始化 Controller
// @Title Constructor
// @Description 初始化 Controller, 系统自动调用
func (c *BodychecklistController) Constructor() {
	c.serv = bodychecklist.NewBodychecklistServ(c.Context)
}

func (c *BodychecklistController) GetBodyCheckList() {
	caseid := c.GetString("caseid")
	phone := c.GetString("phone")
	customerName := c.GetString("name")
	page, _ := c.GetInt("page")
	pagesize, _ := c.GetInt("pagesize")
	if page < 0 {
		page = 1
	}

	if pagesize <= 0 {
		pagesize = 10
	}
	list, total, err := c.serv.GetBodyCheckList(caseid, phone, customerName, page, pagesize)
	if err != nil {
		c.ResponseError(err)
	}

	c.ResponseJSON(map[string]interface{}{
		"list":     list,
		"page":     page,
		"pagesize": pagesize,
		"pagenum":  total,
	})
}
