package card

import (
	"spaceofcheng/services/service/card"
	"spaceofcheng/services/controllers"
)


// RecordController 商品
type RecordController struct {
	serv *card.RecordServ
	controllers.BaseController
}

// Constructor 初始化 Controller
// @Title Constructor
// @Description 初始化 Controller, 系统自动调用
func (c *RecordController) Constructor() {
	c.serv = card.NewRecordServ(c.Context)
}

// ListByCase 获取卡列表
func (c *RecordController) GetRecordList() {

	person := c.GetString("referrer")
	startDate := c.GetString("startDate")
	endDate := c.GetString("endDate")
	page, _ := c.GetInt("page")
	pagesize, _ := c.GetInt("pagesize")

	res,err := c.serv.GetRecordList(startDate,endDate,person,page,pagesize)

	if err != nil {
		c.ResponseError(err)
	}
	c.ResponseJSON(res)

}

