package cases

import "spaceofcheng/services/models/model"

// GetCaseRecordList 获取案场月记录列表
func (c *CaseController) GetCaseRecordList() {
	caseids := c.GetString("caseid")
	if caseids == "" {
		cases := c.Context.Get("cases").([]model.SysUserCase)
		caseids = c.GetCaseIDs(cases)
	}
	page, _ := c.GetInt("page")
	pageSize, _ := c.GetInt("pagesize")

	list, err := c.dao.GetCaseRecord(caseids, page, pageSize)
	if err != nil {
		c.ResponseError(err)
	}
	c.ResponseJSON(list)
}

// SaveCaseRecord 保存案场月记录
func (c *CaseController) SaveCaseRecord() {
	info := model.SysCaseRecord{}
	if err := c.ParseForm(&info); err != nil {
		c.ResponseError(err)
	}
	newinfo, err := c.dao.AddRecord(info)
	if err != nil {
		c.ResponseError(err)
	}
	c.ResponseJSON(newinfo)
}
