package controllers

// Options 解决跨域先发送 options
func (c *BaseController) Options() {
	c.ResponseJSON("")
}

// crosPolicy 跨域策略
func (c *BaseController) crosPolicy() {
	appConf, ok := c.Configer[AppConf]
	if ok {
		runMode := appConf.String("runmode")
		allowMode := appConf.String("cros::allowMode")
		allowMethods := appConf.String("cros::allowMethods")
		allowOrigin := appConf.String("cros::allowOrigin")
		allowCredentials := appConf.String("cros::allowCredentials")

		if runMode == allowMode {
			c.Ctx.Output.Header("Access-Control-Allow-Origin", allowOrigin)
			c.Ctx.Output.Header("Access-Control-Allow-Methods", allowMethods)
			c.Ctx.Output.Header("Access-Control-Allow-Credentials", allowCredentials)
			c.Ctx.Output.Header("Access-Control-Allow-Headers", "X-Token,Authorization")
		}
	}
}
