package statistics

import (
	"strings"
)

// GetDashData 统计人员数据
func (c *StatisticsController) GetDashData() {
	caseids := c.GetString("caseids")
	caseIDs := []string{}

	if caseids != "" {
		caseIDs = strings.Split(caseids, ",")
	}

	data, err := c.serv.StaDashboard(caseIDs)
	if err != nil {
		c.ResponseError(err)
	}

	c.ResponseJSON(data)
}

// GetDashFilterCharts 统计过滤条件报表
func (c *StatisticsController) GetDashFilterCharts() {
	// 目前只支持 week, month 两种
	staType := c.GetString("statype")
	if staType == "" {
		staType = "week"
	}

	caseids := c.GetString("caseids")
	caseIDs := []string{}

	if caseids != "" {
		caseIDs = strings.Split(caseids, ",")
	}

	data, err := c.serv.GetStaFilterCharts(caseIDs, staType)
	if err != nil {
		c.ResponseError(err)
	}

	c.ResponseJSON(data)
}
