package card

import (
	"errors"
	"spaceofcheng/services/models"
	"spaceofcheng/services/models/model"

	"github.com/yl10/kit/guid"
)

// GetCardShareByCardID 根据卡id获取体验卡对应的分享信息
func (m *CardDAO) GetCardShareByCardID(cardid string) (*model.TaExperienceCardShare, error) {
	var share = model.TaExperienceCardShare{}
	_, err := m.db.Where("card_id=?", cardid).Get(&share)
	return &share, err
}

// SaveCardShare 保存卡分享信息
func (m *CardDAO) SaveCardShare(card *model.TaExperienceCardShare) error {
	if card.CardShareId == "" {
		card.CardShareId = guid.NewGUIDString()
	}

	card.Status = models.STATUS_NORMAL

	if _, err := m.db.Insert(card); err != nil {
		return err
	}

	return nil
}

// UpdateCardShare 更新卡分享信息
func (m *CardDAO) UpdateCardShare(card *model.TaExperienceCardShare, cols []string) error {
	if card.CardShareId == "" {
		return errors.New("无卡分享信息")
	}

	if _, err := m.db.Cols(cols...).Where("card_share_id=?", card.CardShareId).Update(card); err != nil {
		return err
	}

	return nil
}
