package card

import (
	"errors"
	"spaceofcheng/services/models/model"
)

// GetCardTargetByCardID 根据卡id获取体验卡对应的目标信息
func (m *CardDAO) GetCardTargetByCardID(cardid string) ([]model.TaCouponCardTarget, error) {
	var targets []model.TaCouponCardTarget
	err := m.db.Where("card_id=?", cardid).Find(&targets)
	return targets, err
}

// UpdateTarget 更新关联内容 -- 插入或者更新
func (m *CardDAO) UpdateTarget(targets []model.TaCouponCardTarget, cardID string) error {
	if targets == nil || len(targets) == 0 {
		return nil
	}

	for i := range targets {
		if targets[i].TargetId == "" {
			return errors.New("关联内容不能为空")
		}

		// TODO
		// 校验关联内容是否有效

		targets[i].CardId = cardID
	}

	// var delTargets []model.TaCouponTarget
	sql := `delete from ta_coupon_card_target where card_id='` + cardID + `'`
	if _, err := m.db.Exec(sql); err != nil {
		return err
	}
	if _, err := m.db.Insert(targets); err != nil {
		return err
	}

	return nil
}
