package models

// 状态列表
const (
	// 删除
	STATUS_DEL = iota - 1

	// 新录入
	STATUS_READY

	// 正常
	STATUS_NORMAL

	// 已使用
	STATUS_USED
)

// 过期
const STATUS_EXPIRE = 9

// 映射数据库的布尔型
const (
	BOOL_FALSE = 0
	BOOL_TRUE  = 1
)

// 映射表账户类型
const (
	ACCMAP_WECHAT = "wechat"
	ACCMAP_MINI   = "mini"
)

const (
	IMAGETYPE_COVER  = "cover"
	IMAGETYPE_DETAIL = "detail"
)

// 映射表用户类型
const (
	USERMAP_USER     = "user"
	USERMAP_CUSTOMER = "customer"
)

// 人员禁止内容
const (
	// 禁止下单
	FORBID_ORDER = "goods"

	// 禁止发卡, 发券
	FORBID_COUPON = "coupon"
)

// 消费类型
const (
	CONSUME_INNER       = "sys user"
	CONSUME_COUPON      = "coupon"
	CONSUME_POINTS      = "points"
	CONSUME_COINCHG     = "cheng-coin" // 城币就是 VIP
	CONSUME_COUPON_COIN = "coupon-coin"
)

// 消费方式
const (
	ACCOUNT_INCOME = "+"
	ACCOUNT_SPENT  = "-"
)

// 账户消费来源
const (
	// 充值
	ACCSOURCE_RECHARGE = "recharge"
	// 商品订单
	ACCSOURCE_GOODS_ORDERS = "goods-orders"
	// 课程订单
	ACCSOURCE_COURSE_ORDERS = "course-orders"
	// 注册
	ACCSOURCE_REGISTER = "register"
	// 完善资料
	ACCSOURCE_COMPLETE_PROFILE = "complete_profile"
	// 推荐
	ACCSOURCE_RECOMMEND = "recommend"
)

// 微信配置表
const (
	WECHAT_WX   = "wechat"
	WECHAT_MINI = "mini"
)

// 人员类型
const (
	// 销售
	USERTYPE_SALES = "sales"
	// 主管
	USERTYPE_MANAGER = "manager"
	// 客户
	USERTYPE_CUSTOMER = "customer"
)

// 课程获取方式
const (
	COURSE_GETBY_CARD    = "card"
	COURSE_GETBY_COUPON  = "coupon"
	COURSE_GETBY_COINCHG = "cheng-coin"
)

// 课程订单优惠券类型
const (
	COURSE_COUPON_CARD   = "card"
	COURSE_COUPON_COUPON = "coupon"
)

// 核销类型
const (
	VERIFY_USEABLE = "useable" // 未使用
	VERIFY_USED    = "used"    // 已使用
	VERIFY_LATE    = "late"    // 逾期核销
	VERIFY_EXPIRE  = "expire"  // 已失效
)

// 卡券赠送类型
const (
	GIVE_GIFT_COUPON         = "coupon"
	GIVE_GIFT_EXPERIENCECARD = "experiencecard"
	GIVE_GIFT_GYM            = "gym"
)

// 卡券发放类型
const (
	GIVE_TYPE_SYSTEM  = "system"
	GIVE_TYPE_CASE    = "case"
	GIVE_TYPE_CHANNEL = "channel"
)

// 游泳健身卡种类
const (
	GYM_CARD_ONCE    = "once"
	GYM_CARD_MONTH   = "month"
	GYM_CARD_QUARTER = "quarter"
	GYM_CARD_YEAR    = "year"
)

// 系统资源
// 可用于卡券关联内容选择
const (
	SYS_RESOURCE_COURSE = "course"
	SYS_RESOURCE_GOODS  = "goods"
)

// dashboard 配置的使用者类型
const (
	DASH_SETTING_FOR_USER     = "user"
	DASH_SETTING_FOR_USERTYPE = "user-type"
)

// 卡券状态
const (
	CARD_COUPON_RECEIVED = "received"
	CARD_COUPON_USED     = "used"
	CARD_COUPON_EXPIRE   = "expire"
)

// 领取途径
const (
	RECEIVEING_TYPE_EVENT   = "event"
	RECEIVEING_TYPE_GIVE    = "give"
	RECEIVEING_TYPE_SALES   = "sales"
	RECEIVEING_TYPE_CHANNEL = "channel"
)

// 二维码类型
const (
	QRCODE_TYPE_COURSE = "course"
	QRCODE_TYPE_PRIZE  = "prize"
	QRCODE_TYPE_FLASH  = "flash"
)

const (
	ADMIN_ID = "1"
)

// 奖品类型
const (
	PRIZE_TYPE_COUPONCARD = "couponcard"
	PRIZE_TYPE_THIRD      = "third"

	PRIZE_TYPE_COUPON = "coupon"
	PRIZE_TYPE_CARD   = "card"
)

// 参与类型设置
const (
	JOINTYPE_NEWUSER = "newuser"
	JOINTYPE_NO      = "no"
)

// 抽奖分享设置
const (
	SHARETYPE_NEWUSER = "newuser"
	SHARETYE_NO       = "no"
)

// 抽奖次数类型
const (
	NUMTYPE_REPART    = "repeat"
	NUMTYPE_NOTREPART = "no_repeat"
)

const (
	FLASH_BUY_ACTIVE   = "active"
	FLASH_BUY_INACTIVE = "inactive"
	FLASH_BUY_OVER     = "over"
)

const (
	FLASH_VALIDATE_DAYS = "days"
	FLASH_VALIDATE_DATE = "date"
)

const (
	COUPONCARD_USETYPE_LUCKDRAW = "luckdraw"
	COUPONCARD_USETYPE_SYS      = "sysactive"
)

const (
	// 送券
	ActGiveCoupon = "giveCoupon"
	ActGiveCard   = "giveCard"
)

// 抽奖次数间隔
const (
	INTERVAL_DAY   = "day"
	INTERVAL_WEEK  = "week"
	INTERVAL_MONTH = "month"
)
