package coupon

import (
	"spaceofcheng/services/models/model"

	"github.com/yl10/kit/guid"
)

// UpdateImages 更新图片 -- 插入或者更新
func (m *CouponDAO) UpdateImages(imgs []model.TaCouponImage, couponID string) error {
	if imgs == nil || len(imgs) == 0 {
		return nil
	}

	for i := range imgs {
		imgs[i].CouponId = couponID

		if imgs[i].CouponImageId == "" {
			imgs[i].CouponImageId = guid.NewGUIDString()
		}
	}

	// var delImgs []model.TaCouponImage
	sql := `delete from ta_coupon_image where coupon_id=?`
	if _, err := m.db.Exec(sql, couponID); err != nil {
		return err
	}

	if _, err := m.db.Insert(imgs); err != nil {
		return err
	}

	return nil
}
