package coupon

import (
	"spaceofcheng/services/models/model"

	"github.com/yl10/kit/guid"
)

// UpdateRule 更新规则 -- 插入或者更新
func (m *CouponDAO) UpdateRule(rules []model.TaCouponRule, couponID string) error {
	if rules == nil || len(rules) == 0 {
		return nil
	}

	for i := range rules {
		rules[i].CouponId = couponID

		if rules[i].CouponRuleId == "" {
			rules[i].CouponRuleId = guid.NewGUIDString()
		}
	}

	var delRules []model.TaCouponRule
	if _, err := m.db.Where("coupon_id=?", couponID).Delete(&delRules); err != nil {
		return err
	}

	if _, err := m.db.Insert(rules); err != nil {
		return err
	}

	return nil
}
