package coupon

import (
	"errors"
	"spaceofcheng/services/models"
	"spaceofcheng/services/models/model"

	"github.com/yl10/kit/guid"
)

// SaveCouponShare 保存优惠券
func (m *CouponDAO) SaveCouponShare(cp *model.TaCouponShare) error {
	if cp.CouponShareId == "" {
		cp.CouponShareId = guid.NewGUIDString()
	}

	cp.Status = models.STATUS_NORMAL

	if _, err := m.db.Insert(cp); err != nil {
		return err
	}

	return nil
}

// UpdateCouponShare 更新优惠券
func (m *CouponDAO) UpdateCouponShare(cp *model.TaCouponShare, cols []string) error {
	if cp.CouponShareId == "" {
		return errors.New("无优惠券分享信息")
	}

	if _, err := m.db.Cols(cols...).Where("coupon_share_id=?", cp.CouponShareId).Update(cp); err != nil {
		return err
	}

	return nil
}
