package customerremark

import (
	"spaceofcheng/services/models"
	"spaceofcheng/services/models/model"
	"spaceofcheng/services/utils"
	"strconv"
	"time"

	"github.com/go-xorm/xorm"
)

// CustomerRemarkDAO 当前数据库操作对象
type CustomerRemarkDAO struct {
	ctx *utils.Context
	db  *xorm.Session
}
type CustomerCardCoupon struct {
	ItemName     string
	VerifyStatus string
	ReceiveDate  time.Time
}
type customerHistory struct {
	model.TaSaleCustomerRemark `xorm:"extends"`
	Name                       string
	CustomerName               string
	Phone                      string
}

// NewCustomerRemarkDAO New Inst
func NewCustomerRemarkDAO(ctx *utils.Context) *CustomerRemarkDAO {
	return &CustomerRemarkDAO{
		ctx: ctx,
		db:  ctx.DB,
	}
}
func (m *CustomerRemarkDAO) GetRemarkList(salesId, customerId string, page, pageSize int) ([]customerHistory, error) {
	var remark []customerHistory
	sql := `SELECT
	a.*,
	b.name,
	b.customer_name,
	b.phone
FROM
	ta_sale_customer_remark a
	INNER JOIN ta_customer b ON a.customer_id = b.customer_id
WHERE
	a.sales_id = '` + salesId + `'
	and a.customer_id = '` + customerId + `'
	order by a.create_date desc limit ` + strconv.Itoa(page-1) + `, ` + strconv.Itoa(pageSize)
	err := m.db.Sql(sql).Find(&remark)
	return remark, err
}
func (m *CustomerRemarkDAO) GetRemarkListCount(salesId, customerId string) (int, error) {
	var remark []model.TaSaleCustomerRemark
	sql := `SELECT
	* 
FROM
	ta_sale_customer_remark 
WHERE
	sales_id = '` + salesId + `'
	and customer_id = '` + customerId + `'`
	err := m.db.Sql(sql).Find(&remark)
	return len(remark), err
}

func (m *CustomerRemarkDAO) AddRemark(remark model.TaSaleCustomerRemark) (*model.TaSaleCustomerRemark, error) {
	remark.SalesCustomerRemarkId = utils.GetGUID()
	remark.CreateDate = time.Now()
	remark.Status = models.STATUS_NORMAL
	_, err := m.db.Insert(remark)
	return &remark, err
}

func (m *CustomerRemarkDAO) SearchCustomer(customerInfo, salesId string) (model.TaCustomer, error) {
	var customer model.TaCustomer
	sql := `SELECT
	* 
FROM
	ta_customer 
WHERE
	(phone = '` + customerInfo + `'
	or name ='` + customerInfo + `')
	and recommend_id = '` + salesId + `'`
	err := m.db.Sql(sql).Find(&customer)
	return customer, err
}
func (m *CustomerRemarkDAO) CustomerReceiveRecord(customerId, salesId string, page, pageSize int) ([]CustomerCardCoupon, error) {
	var customerReceive []CustomerCardCoupon
	sql := `SELECT
	customer_card_name AS item_name,
	verify_status,
	receive_date 
FROM
	ta_customer_card 
	Where customer_id ='` + customerId + `'
	and sales_id = '` + salesId + `'
	UNION
SELECT
	customer_coupon_name AS item_name,
	CASE status 
	WHEN 0 THEN 'expire'
	WHEN 1 THEN 'usable'
	WHEN 2 THEN 'used' END as verify_status,
	receive_date 
FROM
	ta_customer_coupon
	Where customer_id = '` + customerId + `'
	and sales_id = '` + salesId + `'
	order by receive_date desc limit ` + strconv.Itoa(page-1) + `, ` + strconv.Itoa(pageSize)
	err := m.db.Sql(sql).Find(&customerReceive)
	return customerReceive, err

}
func (m *CustomerRemarkDAO) CustomerReceiveRecordCount(customerId, salesId string) (int, error) {
	var customerReceive []CustomerCardCoupon
	sql := `SELECT
	customer_card_name AS item_name,
	verify_status,
	receive_date 
FROM
	ta_customer_card 
	Where customer_id ='` + customerId + `'
	and sales_id = '` + salesId + `'
	UNION
SELECT
	customer_coupon_name AS item_name,
	CASE status 
	WHEN 0 THEN 'expire'
	WHEN 1 THEN 'usable'
	WHEN 2 THEN 'used' END as verify_status,
	receive_date 
FROM
	ta_customer_coupon
	Where customer_id = '` + customerId + `'
	and sales_id = '` + salesId + `'`
	err := m.db.Sql(sql).Find(&customerReceive)
	return len(customerReceive), err

}

func (m *CustomerRemarkDAO) IsExist(recommendCode string) (int, error) {
	var user []model.SysUser
	sql := `select * from sys_user where recommend_code = '` + recommendCode + `' 
	and status > ` + strconv.Itoa(models.STATUS_DEL)
	err := m.db.Sql(sql).Find(&user)
	return len(user), err
}
