// @APIVersion 1.0.0
// @Title beego Test API
// @Description beego has a very cool tools to autogenerate documents for your API
// @Contact astaxie@gmail.com
// @TermsOfServiceUrl http://beego.me/
// @License Apache 2.0
// @LicenseUrl http://www.apache.org/licenses/LICENSE-2.0.html
package routers

import (
	"spaceofcheng/services/controllers"
	"spaceofcheng/services/utils"

	"github.com/astaxie/beego"
)

func RouteInit() {
	appRoot := utils.GetAppRoot()

	appConf, _ := utils.GetConfiger(appRoot + "/conf/app.conf")
	if appConf == nil {
		return
	}

	prefix := appConf.String("api::prefix")
	guestPrefix := appConf.String("api::guest")
	commonPrefix := appConf.String("api::common")
	wechatPrefix := appConf.String("api::wechat")

	ns := beego.NewNamespace(prefix,
		// 解决跨域时 先发送 options 问题
		beego.NSRouter("*", &controllers.BaseController{}, "options:Options"),

		// 通用需要鉴权路由
		getCommonRoutes(commonPrefix),

		// 微信路由
		getWechatRoutes(wechatPrefix),

		// 不需要鉴权的路由
		getGuestRoutes(guestPrefix),
	)

	beego.AddNamespace(ns)
}
