package card

import (
	"spaceofcheng/services/models/card"
	"spaceofcheng/services/utils"
)

// RecordServ 系统处理
type RecordServ struct {
	ctx *utils.Context
	dao *card.RecordDAO
}

// NewRecordServ 初始化
func NewRecordServ(ctx *utils.Context) *RecordServ {
	return &RecordServ{
		ctx: ctx,
		dao: card.NewRecordDAO(ctx),
	}
}

// 查询赠送记录
func (s *RecordServ) GetRecordList(startDate string, endDate string, person string, page int, pageSize int) (map[string]interface{}, error) {

	info, err := s.dao.GetRecordList(startDate, endDate, person, page, pageSize)
	if err != nil {
		return nil, err
	}

	total, err := s.dao.GetRecordCount(startDate, endDate, person)
	if err != nil {
		return nil, err
	}
	return map[string]interface{}{
		"list":     info,
		"pagesize": pageSize,
		"pagenum":  total,
		"page":     page,
	}, err

}
