package course

import (
	"errors"
	"spaceofcheng/services/models/model"
	"spaceofcheng/services/service"
	"spaceofcheng/services/utils"
)

// GetTagsList 获取标签列表
func (s *CourseServ) GetTagsList(orgid string, page, pageSize int) (map[string]interface{}, error) {
	if pageSize == 0 {
		pageSize = service.PAGENUM
	}
	if page == 0 {
		page = 1
	}
	tags, err := s.dao.GetTagsList(orgid, page, pageSize)
	if err != nil {
		utils.LogError("获取标签信息失败: " + err.Error())
		return nil, errors.New("获取标签信息失败")
	}
	total, err := s.dao.GetTagsCount(orgid)
	if err != nil {
		utils.LogError("获取标签信息失败: " + err.Error())
		return nil, errors.New("获取标签信息失败")
	}

	return map[string]interface{}{
		"list":     tags,
		"pagesize": pageSize,
		"pagenum":  total,
		"page":     page,
	}, nil
}

// GetCourseTags 获取课程标签
func (s *CourseServ) GetCourseTags(orgid string) ([]model.TdCourseTag, error) {
	tags, err := s.dao.GetTagsList(orgid, 0, 10000)
	if err != nil {
		utils.LogError("获取标签信息失败: " + err.Error())
		return nil, errors.New("获取标签信息失败")
	}
	return tags, err
}
