package events

import (
	"spaceofcheng/services/models"
	"spaceofcheng/services/utils"
)

// NewContext 初始化 ctx 实例
func NewContext() *utils.Context {
	ctx := utils.NewContext(models.DBEngine, nil)
	ctx.Ready()

	return ctx
}

// DestroyContext 注销 ctx
func DestroyContext(ctx *utils.Context, hasError bool) {
	if !hasError {
		ctx.DB.Commit()
	} else {
		ctx.DB.Rollback()
	}

	ctx.Destroy()
}
